aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.DeleteGroup

Synopsis

- data DeleteGroup = DeleteGroup Text
- data DeleteGroupResponse = DeleteGroupResponse

# Documentation

data DeleteGroup Source #

Deletes the specified group.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteGroup.html

Constructors

DeleteGroup Text |

#### Instances

Instances details

SignQuery DeleteGroup Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroup

Associated Types

type ServiceConfiguration DeleteGroup |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type ServiceConfiguration DeleteGroup = IamConfiguration

Methods

signQuery :: DeleteGroup -> ServiceConfiguration DeleteGroup queryType -> SignatureData -> SignedQuery Source #

Show DeleteGroup Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup Methods showsPrec :: Int -> DeleteGroup -> ShowS Source # show :: DeleteGroup -> String Source # showList :: [DeleteGroup] -> ShowS Source #
Eq DeleteGroup Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup Methods (==) :: DeleteGroup -> DeleteGroup -> Bool Source # (/=) :: DeleteGroup -> DeleteGroup -> Bool Source #
Ord DeleteGroup Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroup

Methods

compare :: DeleteGroup -> DeleteGroup -> Ordering Source #

(<) :: DeleteGroup -> DeleteGroup -> Bool Source #

(<=) :: DeleteGroup -> DeleteGroup -> Bool Source #

(>) :: DeleteGroup -> DeleteGroup -> Bool Source #

(>=) :: DeleteGroup -> DeleteGroup -> Bool Source #

max :: DeleteGroup -> DeleteGroup -> DeleteGroup Source #

min :: DeleteGroup -> DeleteGroup -> DeleteGroup Source #

ResponseConsumer DeleteGroup DeleteGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroup

Associated Types

type ResponseMetadata DeleteGroupResponse |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type ResponseMetadata DeleteGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteGroup -> IORef (ResponseMetadata DeleteGroupResponse) -> HTTPResponseConsumer DeleteGroupResponse Source #

Transaction DeleteGroup DeleteGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup
type ServiceConfiguration DeleteGroup Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type ServiceConfiguration DeleteGroup = IamConfiguration

data DeleteGroupResponse Source #

Constructors

DeleteGroupResponse |

#### Instances

Instances details

AsMemoryResponse DeleteGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroup

Associated Types

type MemoryResponse DeleteGroupResponse |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type MemoryResponse DeleteGroupResponse = DeleteGroupResponse

Methods

loadToMemory :: DeleteGroupResponse -> ResourceT IO (MemoryResponse DeleteGroupResponse) Source #

Show DeleteGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup Methods showsPrec :: Int -> DeleteGroupResponse -> ShowS Source # show :: DeleteGroupResponse -> String Source # showList :: [DeleteGroupResponse] -> ShowS Source #
Eq DeleteGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup Methods (==) :: DeleteGroupResponse -> DeleteGroupResponse -> Bool Source # (/=) :: DeleteGroupResponse -> DeleteGroupResponse -> Bool Source #
Ord DeleteGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroup

Methods

compare :: DeleteGroupResponse -> DeleteGroupResponse -> Ordering Source #

(<) :: DeleteGroupResponse -> DeleteGroupResponse -> Bool Source #

(<=) :: DeleteGroupResponse -> DeleteGroupResponse -> Bool Source #

(>) :: DeleteGroupResponse -> DeleteGroupResponse -> Bool Source #

(>=) :: DeleteGroupResponse -> DeleteGroupResponse -> Bool Source #

max :: DeleteGroupResponse -> DeleteGroupResponse -> DeleteGroupResponse Source #

min :: DeleteGroupResponse -> DeleteGroupResponse -> DeleteGroupResponse Source #

ResponseConsumer DeleteGroup DeleteGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroup

Associated Types

type ResponseMetadata DeleteGroupResponse |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type ResponseMetadata DeleteGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteGroup -> IORef (ResponseMetadata DeleteGroupResponse) -> HTTPResponseConsumer DeleteGroupResponse Source #

Transaction DeleteGroup DeleteGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup
type MemoryResponse DeleteGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type MemoryResponse DeleteGroupResponse = DeleteGroupResponse
type ResponseMetadata DeleteGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type ResponseMetadata DeleteGroupResponse = IamMetadata